Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Error in running the photo demo
Error in running the photo demo [message #483580] Wed, 02 September 2009 04:34 Go to next message
David Wynter is currently offline David Wynter
Messages: 4541
Registered: July 2009
Senior Member
Followed here,

http://wiki.eclipse.org/E4/UI/Running_the_photo_demo

got

!SESSION 2009-09-01 22:36:11.843
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_02
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_GB
Framework arguments: -product org.eclipse.e4.demo.e4photo.product
Command-line arguments: -product org.eclipse.e4.demo.e4photo.product
-data C:\workspace/../runtime-e4photo.product -dev
file:C:/workspace/.metadata/.plugins/org.eclipse.pde.core/e4 photo.product/dev.properties
-os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 4 0 2009-09-01 22:36:14.859
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application
"org.eclipse.e4.ui.workbench.swt.application" could not be found in the
registry. The applications available are: org.eclipse.equinox.app.error.
at
org.eclipse.equinox.internal.app.EclipseAppContainer.startDe faultApp(EclipseAppContainer.java:242)
at
org.eclipse.equinox.internal.app.MainApplicationLauncher.run (MainApplicationLauncher.java:29)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:368)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 559)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
at org.eclipse.equinox.launcher.Main.main(Main.java:1287)

!ENTRY org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle
initial@reference:file:plugins/org.w3c.dom.smil_1.0.1.v200903091627.jar/
was not resolved.
!SUBENTRY 2 org.w3c.dom.smil 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).

!ENTRY org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.eclipse.e4.ui.css.core_0.9.0.v20090727-2030 [8] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.w3c.dom.smil_1.0.1.v200903091627 [11] was not resolved.
!SUBENTRY 2 org.w3c.dom.smil 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.9.0.v20090723-1500
[16] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.nebula_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.apache.batik.css_1.6.0.v200805290154 [20] was not
resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.w3c.dom.svg_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.9.0.v20090727-2030 [23] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.eclipse.e4.ui.css.nebula_0.9.0.v20090716-1930 [28]
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.nebula 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.css.nebula 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle org.w3c.dom.svg_1.1.0.v200806040011 [36] was not resolved.
!SUBENTRY 2 org.w3c.dom.svg 2 0 2009-09-01 22:36:14.890
!MESSAGE Missing required bundle org.w3c.dom.smil_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle
org.eclipse.e4.ui.workbench.renderers.swt_0.9.0.v20090726-11 30 [47] was
not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2009-09-01
22:36:14.890
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-09-01 22:36:14.890
!MESSAGE Bundle
org.eclipse.e4.ui.workbench.renderers.swt.contributions_0.9. 0.v20090720-2115
[56] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt.contributions 2 0
2009-09-01 22:36:14.890
!MESSAGE Missing required bundle
org.eclipse.e4.ui.workbench.renderers.swt_0.9.0.

I checked and these bundles are installed?

Thx.

David
Re: Error in running the photo demo [message #483654 is a reply to message #483580] Wed, 02 September 2009 09:41 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

This causes the cascade failure you are seeing:
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).

That package should be coming from your JRE, I can see it in JDK 1.4.2, 1.5.0 and 1.6.0 Do you have the javax.xml bundle in your install, 1.3.4?

How did you get set to run the Demo? Just take 3.5.0 and update all of the pieces (EMF, e4 UI, e4 CSS)?

PW


Re: Error in running the photo demo [message #484275 is a reply to message #483654] Sat, 05 September 2009 06:13 Go to previous messageGo to next message
David Wynter is currently offline David Wynter
Messages: 4541
Registered: July 2009
Senior Member
Paul Webster wrote:
> This causes the cascade failure you are seeing:
> !MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).
>
> That package should be coming from your JRE, I can see it in JDK 1.4.2,
> 1.5.0 and 1.6.0 Do you have the javax.xml bundle in your install, 1.3.4?
>
> How did you get set to run the Demo? Just take 3.5.0 and update all of
> the pieces (EMF, e4 UI, e4 CSS)?
>
> PW
>
Hi,

I followed the tutorial to the letter, so yes installed 3.5.0 and then
updated all the pieces as defined in the tutorial. I note in the
Installed software list that plugin id org.w3c.dom.events does exist
with the Version 3.0.0.draft20060314_v2009005140418. Which does satisfy
the version requirements of the imported package. Is there something
ewlse I need to do to make e4 aware of this plugins presense?

Thx.

David
Re: Error in running the photo demo [message #484655 is a reply to message #484275] Tue, 08 September 2009 12:10 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Hmmm. OK, I unzipped a new 3.5.0 and then use the 0.9 repo:
http://download.eclipse.org/e4/downloads/drops/R-0.9-2009072 91930/repository

I grabbed the UI features (+ source) which gives me 4 features and then picked the EMF SDK and did an update.

When I grab the e4photo demo the product file complains that it can't find 3 org.apache.xerces* plugins ... but I don't really care about them.

Then I clicked launch eclipse app (and made sure it was launching in a new workspace).

The demo came up.

I'm not sure where that events plugin is coming from (I have it in my development target platform but not my demo target platform so maybe it came from GMF, GEF, or my XML editor and tools). Is it included in the demo launch config that was created? If so, what happens if you uncheck it from the launch config and validate?

PW


Re: Error in running the photo demo [message #485232 is a reply to message #484655] Thu, 10 September 2009 17:07 Go to previous message
David Wynter is currently offline David Wynter
Messages: 4541
Registered: July 2009
Senior Member
Paul,

I admit defeat on this one, I uninstalled e4 and reinstalled to be sure.
I get the same error. I checked plugins.xml and org.wc3.dom.events is
listed in Imported Packages, I removed it and tried the run ad got the
same error, Then I added it back noting it does not show a version, so I
added 1.0.0 and it kept popping up the dialog after closing when the
version was set.

Thx

David

Paul Webster wrote:
> Hmmm. OK, I unzipped a new 3.5.0 and then use the 0.9 repo:
> http://download.eclipse.org/e4/downloads/drops/R-0.9-2009072 91930/repository
>
>
> I grabbed the UI features (+ source) which gives me 4 features and then
> picked the EMF SDK and did an update.
>
> When I grab the e4photo demo the product file complains that it can't
> find 3 org.apache.xerces* plugins ... but I don't really care about them.
>
> Then I clicked launch eclipse app (and made sure it was launching in a
> new workspace).
>
> The demo came up.
>
> I'm not sure where that events plugin is coming from (I have it in my
> development target platform but not my demo target platform so maybe it
> came from GMF, GEF, or my XML editor and tools). Is it included in the
> demo launch config that was created? If so, what happens if you uncheck
> it from the launch config and validate?
>
> PW
>
Re: Error in running the photo demo [message #563248 is a reply to message #484275] Tue, 08 September 2009 12:10 Go to previous message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Hmmm. OK, I unzipped a new 3.5.0 and then use the 0.9 repo:
http://download.eclipse.org/e4/downloads/drops/R-0.9-2009072 91930/repository

I grabbed the UI features (+ source) which gives me 4 features and then picked the EMF SDK and did an update.

When I grab the e4photo demo the product file complains that it can't find 3 org.apache.xerces* plugins ... but I don't really care about them.

Then I clicked launch eclipse app (and made sure it was launching in a new workspace).

The demo came up.

I'm not sure where that events plugin is coming from (I have it in my development target platform but not my demo target platform so maybe it came from GMF, GEF, or my XML editor and tools). Is it included in the demo launch config that was created? If so, what happens if you uncheck it from the launch config and validate?

PW

--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Menu_Contributions


Re: Error in running the photo demo [message #563306 is a reply to message #563248] Thu, 10 September 2009 17:07 Go to previous message
David Wynter is currently offline David Wynter
Messages: 4541
Registered: July 2009
Senior Member
Paul,

I admit defeat on this one, I uninstalled e4 and reinstalled to be sure.
I get the same error. I checked plugins.xml and org.wc3.dom.events is
listed in Imported Packages, I removed it and tried the run ad got the
same error, Then I added it back noting it does not show a version, so I
added 1.0.0 and it kept popping up the dialog after closing when the
version was set.

Thx

David

Paul Webster wrote:
> Hmmm. OK, I unzipped a new 3.5.0 and then use the 0.9 repo:
> http://download.eclipse.org/e4/downloads/drops/R-0.9-2009072 91930/repository
>
>
> I grabbed the UI features (+ source) which gives me 4 features and then
> picked the EMF SDK and did an update.
>
> When I grab the e4photo demo the product file complains that it can't
> find 3 org.apache.xerces* plugins ... but I don't really care about them.
>
> Then I clicked launch eclipse app (and made sure it was launching in a
> new workspace).
>
> The demo came up.
>
> I'm not sure where that events plugin is coming from (I have it in my
> development target platform but not my demo target platform so maybe it
> came from GMF, GEF, or my XML editor and tools). Is it included in the
> demo launch config that was created? If so, what happens if you uncheck
> it from the launch config and validate?
>
> PW
>
Previous Topic:Error when running my RCP product using e4 as the target platform
Next Topic:Alternative UI
Goto Forum:
  


Current Time: Thu Jul 24 23:48:49 EDT 2014

Powered by FUDForum. Page generated in 0.01911 seconds